So far LubyG has been running fine with WordPress 4.0. Since LubyG is a Network rather than a single install there may be differences. One of our Network sites did return a serious error using our Events + calendar. It is no longer functioning and developers are working on the issue. We then tried the same plugin with WordPress 4.0 on a single install rather than a Network and all was fine.

I would wait 30 more days or so for developers to make sure all the bugs are fixed. Apparently the last security patch was in version 3.9.2. Since this is NOT a security release I would wait. If you have good backups and want to risk the downtime feel free to experiment.

WordpressPlugins